Subject: Re: bug#68810: 29.1; Recommending setting transfer.fsckObjects of git to true is not necessary

From: Stefan Kangas <[email-masked]>
Date: Tue, 30 Jan 2024 15:49:34 -0500

Lin Jian <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>> Are you sure?
>
> I am no expert of git.  So I am not sure.
>
> That being said, have you read those links in my report?  My point is
> that the motivation of setting transfer.fsckObjects in [1], i.e.,
> security, is made invalid in [2] because git is secure by default.
> However, related commits are made before (and after) [2].

Yes, I read the links.  But I tend to trust the official documentation
more than some random opinions shared online, and the part I quoted says
that this setting _does_ enable some checks that would otherwise not be
done.